/* widgetapi.js
 * 
 * We have several platform in samsung handset.
 * But we use one API for several platform (SHP, WM ) .
 * We don't need to care about platform difference if we use this widgetapi.js.
 * So if use 'case', we have to check 'navigator.userAgent' or checking whether the API exist or not.
*/
 
var WidgetAPI;
if(!WidgetAPI) WidgetAPI = {}; 


WidgetAPI.getIsNetworkAvailable = function(){
	
	try {
		if ( window.widget ) {
			return window.widget.sysInfo.network.getIsNetworkAvailable();
		} else {
			return true;
		}	
	} catch(e) {
		return true;
	}
};

/**
*  stop the current networking in handset
* 
* - SHP : window.widget.error.notify( param );
* - WM : doesn't support
* 
* @param val 1: it calls if it is cancelled while being refreshed, 2: it calls if it exceeds the time or is timed out
*/
WidgetAPI.errorNotify = function(param){
	try	{
		if ( window.widget ) {
			window.widget.error.notify(param);
		}
	}catch(e){ }
	
};


WidgetAPI.openURL = function(url) {
	try{
		widget.openURL(url);
	}catch(e){
		window.open(url,'openWindow');
	}	
};



WidgetAPI.setScroll = function(param) {
	try {
		if ( widget.window ) 
		{
			widget.window.setScroll(param);
		}
	} catch (e) { }
};


/**
 * resize a widget
 * 
 * - SHP : widget.window.resizeWindow( width, height );
 * - WM : window.resizeTo( width, height );
 * 
 * @param width 
 * @param height 
 */

WidgetAPI.resizeWindow = function(width, height) {
	
		try {
			
			if ( widget && widget.window ) {
				
				widget.window.resizeWindow( width, height );
				
			} else {
				
				window.resizeTo( width, height );
				
			}
			
		} catch (e) {

		}
};
 
 
WidgetAPI.setPreferenceForKey = function(value, varName) {
	try {
		widget.setPreferenceForKey(value, varName);
	} catch (e) { }
};


WidgetAPI.getPreferenceForKey = function(varName) {
	try {
		return widget.preferenceForKey(varName);
	} catch (e) { return null; }
};


WidgetAPI.getLanguage = function() {
	
	try {
		return widget.sysInfo.getLanguage();
	} catch(e) {
		return 'en';
	}	
};

WidgetAPI.closeMain = function() {
	
		try {
		closeMain();
	} catch(e) {
		self.close();
	}	
};

WidgetAPI.getCurrentDirection = function() {
	
		try {
		return widget.window.getCurrentDirection();
	} catch(e) {
	}	
};

WidgetAPI.addEventListner = function(funcID,callback,Msg) {
	try {
		widget.addEventListner(funcID, callback, Msg);
	} catch (e) {
	}
};

WidgetAPI.getMccMnc = function() {
	try {
		return widget.sysInfo.SIM.getMccMnc();
	} catch (e) {
		return null;
	}
};

